const express = require("express");
const router = express.Router();
const cdkGetMake = require("../cdk/cdk-get-makes");
const validateFirebaseIdTokenMiddleware = require("../middleware/validateFirebaseIdTokenMiddleware");
const withUserGraphQLClientMiddleware = require("../middleware/withUserGraphQLClientMiddleware");

router.use(validateFirebaseIdTokenMiddleware);

router.post("/getvehicles", withUserGraphQLClientMiddleware, cdkGetMake.default);

module.exports = router;
